Subject: Re: bug#49964: 28.0.50; ERC button to docu, again

From: Stefan Kangas <[email-masked]>
Date: Sat, 25 Sep 2021 08:24:59 -0700

tags 49964 fixed
close 49964 28.1
thanks

Emanuel Berg <[email-masked]> writes:

> Lars Ingebrigtsen wrote:
>
>> So the request is to have Lisp symbols with "pretty quotes"
>> be buttonised in erc?
>
> Well, request and request, I just saw it and thought I'd tell
> you about it.
>
> It seems in Elisp and ERC `kill-emacs' is the sanctioned
> way, in the help system and in info it is ‘kill-emacs’.
>
> If both are official then it makes sense ‘kill-emacs’ is
> buttonized to, the possible counter-argument I could think of
> is that people use it in normal language so one would have
> false hits. Personally tho I don't even know how to type it...
>
> The opening char is a LEFT SINGLE QUOTATION MARK and the
> closing one RIGHT SINGLE QUOTATION MARK.

I have now fixed this on (commit 2d97b1ef5b).  This change will be a
part of the upcoming Emacs 28.1.

Please verify that this fix works for you, but for now I'm closing this
bug report.  If you see anything that is wrong, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.  You could also just report a new bug.

Thanks again for the bug report!